Package org.springframework.web.servlet.mvc.method.annotation

# Class MatrixVariableMethodArgumentResolver

java.lang.Object
org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver
org.springframework.web.servlet.mvc.method.annotation.MatrixVariableMethodArgumentResolver

All Implemented Interfaces:
  `org.springframework.web.method.support.HandlerMethodArgumentResolver`

public class MatrixVariableMethodArgumentResolver extends org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver
Resolves arguments annotated with `@MatrixVariable`.

If the method parameter is of type `Map` it will be resolved by `MatrixVariableMapMethodArgumentResolver` instead unless the annotation specifies a name in which case it is considered to be a single attribute of type map (vs multiple attributes collected in a map).

Since:
  3.2
Author:
  Rossen Stoyanchev, Sam Brannen

## Nested Class Summary

## Nested classes/interfaces inherited from class org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver

`org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.NamedValueInfo`

## Constructor Summary

Constructors
Constructor
Description
`MatrixVariableMethodArgumentResolver()`

## Method Summary

Modifier and Type
Method
Description
`protected org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.NamedValueInfo`
`createNamedValueInfo(org.springframework.core.MethodParameter parameter)`
`protected void`
`handleMissingValue(String name, org.springframework.core.MethodParameter parameter)`
`protected void`
`handleMissingValueAfterConversion(String name, org.springframework.core.MethodParameter parameter, org.springframework.web.context.request.NativeWebRequest request)`
`protected Object`
`resolveName(String name, org.springframework.core.MethodParameter parameter, org.springframework.web.context.request.NativeWebRequest request)`
`boolean`
`supportsParameter(org.springframework.core.MethodParameter parameter)`

### Methods inherited from class org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver

`handleMissingValue, handleResolvedValue, resolveArgument`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatrixVariableMethodArgumentResolver

public MatrixVariableMethodArgumentResolver()

## Method Details

### supportsParameter

public boolean supportsParameter(org.springframework.core.MethodParameter parameter)

### createNamedValueInfo

protected org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.NamedValueInfo createNamedValueInfo(org.springframework.core.MethodParameter parameter)

Specified by:
  `createNamedValueInfo` in class `org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver`

### resolveName

@Nullable protected Object resolveName(String name, org.springframework.core.MethodParameter parameter, org.springframework.web.context.request.NativeWebRequest request) throws Exception

Specified by:
  `resolveName` in class `org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver`
Throws:
  `Exception`

### handleMissingValue

protected void handleMissingValue(String name, org.springframework.core.MethodParameter parameter) throws org.springframework.web.bind.ServletRequestBindingException

Overrides:
  `handleMissingValue` in class `org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver`
Throws:
  `org.springframework.web.bind.ServletRequestBindingException`

### handleMissingValueAfterConversion

protected void handleMissingValueAfterConversion(String name, org.springframework.core.MethodParameter parameter, org.springframework.web.context.request.NativeWebRequest request) throws Exception

Overrides:
  `handleMissingValueAfterConversion` in class `org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver`
Throws:
  `Exception`